%define name cfengine
%define cfport 5308
%add_findreq_skiplist *emacs*
%add_findreq_skiplist *cfdoc*

Summary: Cfengine helps administer remote BSD and System-5-like systems
Name: %name
Version: 2.1.22
Release: alt2.1
Group: Monitoring
License: GPL
Url: http://www.%name.org

Source0: %name-%version.tar.gz
Source1: cfenvd
Source2: cfexecd
Source3: cfservd
Source4: %name.el

Obsoletes: %name-cfservd
# AutoReq: yes, noperl

# Automatically added by buildreq on Thu Sep 21 2006
BuildRequires: flex libacl-devel libdb4-devel libpcre-devel libssl-devel tetex-dvips tetex-latex

%description
Cfengine, the configuration engine, is a very high level language for
simplifying the task of administrating and configuring large numbers
of workstations. Cfengine uses the idea of classes and a primitive
form of intelligence to define and automate the configuration of large
systems in the most economical way possible.

Documentation is man pages only. For other formats, look
cfengine-{html,pdf,info}-doc packages.

Recommends: perl-base emacs-base

%package html-doc
Summary: Cfengine helps administer remote BSD and System-5-like systems. HTML documentation
Group: Monitoring

%package pdf-doc
Summary: Cfengine helps administer remote BSD and System-5-like systems. PDF documentation
Group: Monitoring

%package info
Summary: Cfengine helps administer remote BSD and System-5-like systems. GNU Info documentation
Group: Monitoring

%description html-doc
Cfengine helps administer remote BSD and System-5-like systems. HTML documentation

%description pdf-doc
Cfengine helps administer remote BSD and System-5-like systems. PDF documentation

%description info
Cfengine helps administer remote BSD and System-5-like systems. GNU Info documentation

%prep
%setup -q

%build
%configure --prefix=%_prefix --mandir=%_mandir --infodir=%_infodir --with-docs --with-pcre --with-workdir=%_sysconfdir/%name
%make

%install
%__mkdir_p %buildroot%_initdir
for i in %SOURCE1 %SOURCE2 %SOURCE3
do
        %__install -p -m755 $i %buildroot%_initdir
done

%make DESTDIR=%buildroot install install-man install-info
%__chmod 444 inputs/*.example

%__rm -fv -- %buildroot%_infodir/dir

%__mkdir_p \
        %buildroot%_sysconfdir/%name/bin %buildroot%_sysconfdir/%name/inputs \
        %buildroot%_sysconfdir/%name/modules %buildroot%_sysconfdir/%name/outputs \
        %buildroot%_sysconfdir/%name/ppkeys %buildroot%_sysconfdir/%name/rpc_in \
        %buildroot%_sysconfdir/%name/rpc_out %buildroot%_sysconfdir/%name/state

%__mkdir_p %buildroot%_emacslispdir
%__mv -v -- %buildroot%_prefix/share/%name/*.el %buildroot%_emacslispdir
%__chmod 644 %buildroot%_emacslispdir/*
%__mkdir_p %buildroot%_sysconfdir/emacs/site-start.d
%__cp -v %SOURCE4 %buildroot%_sysconfdir/emacs/site-start.d

cd %buildroot%_sbindir
for i in *
do
        %__ln_s -- "$(relative "%_sbindir/$i" "%_sysconfdir/%name/bin/$i")" "%buildroot%_sysconfdir/%name/bin"
done

%post
# This break ALT policy:
# %__grep -E '^%name.+%cfport/tcp' %_sysconfdir/services >/dev/null 2>&1 || echo "%name	%cfport/tcp			# CFengine" >> %_sysconfdir/services

%post_service cfenvd
%post_service cfexecd
%post_service cfservd

if [ ! -e %_sysconfdir/%name/ppkeys/localhost.priv ]; then
        %_sbindir/cfkey
fi

%post -n  %name-info
%install_info %name-Anomalies.info
%install_info %name-Reference.info
%install_info %name-Tutorial.info

%preun -n  %name-info
%uninstall_info %name-Anomalies.info
%uninstall_info %name-Reference.info
%uninstall_info %name-Tutorial.info

%preun
%preun_service cfexecd
%preun_service cfenvd
%preun_service cfservd

%files -n %name
%_emacslispdir/*
%_sysconfdir/emacs/site-start.d/*
%_initdir/*
%_man8dir/*
%defattr(-, root, root, 0700)
%_sysconfdir/%name

%_sbindir/*

%defattr(644,root,root,755)
%doc ChangeLog INSTALL NEWS README inputs/*.example

%files html-doc
%doc doc/*.htm*

%files pdf-doc
%doc doc/*.pdf

%files info
%_infodir/*

%changelog
* Thu Mar 29 2007 Terechkov Evgenii <evg@altlinux.ru> 2.1.22-alt2.1
- 2.1.22
- Obsolete patch1 removed

* Wed Feb 14 2007 Terechkov Evgenii <evg@altlinux.ru> 2.1.21-alt2.1
- Rebuilt due to libcrypto.so.4 -> libcrypto.so.6 soname change.

* Sun Nov 26 2006 Terechkov Evgenii <evg@altlinux.ru> 2.1.21-alt2
- "single" backup patch (#1) added

* Thu Sep 21 2006 Terechkov Evgenii <evg@altlinux.ru> 2.1.21-alt1
- 2.1.21
- Obsoleted patches removed

* Sat Sep 16 2006 Terechkov Evgenii <evg@altlinux.ru> 2.1.20-alt1
- Initial build for Sisyphus

* Sun Sep  3 2006 Terechkov Evgenii <evg@altlinux.ru> 2.1.20-alt0.C30.1
- Build for C30

* Sat Jul  8 2006 Evgenii Terechkov <evg@altlinux.ru> 2.1.20-alt0.M24.4
-  patch to fix the CompareToFile()'s problem applied

* Thu Jun 29 2006 Evgenii Terechkov <evg@altlinux.ru> 2.1.20-alt0.M24.3
- Build --with-pcre (Oops!)
- s/cd doc;make;make install-man.../--with-docs/
- minor spec cleanups

* Sat Jun 24 2006 Terechkov Evgenii <evg@altlinux.ru> 2.1.20-alt0.M24.2
- ipv6 overflow patch added

* Thu Apr 27 2006 Evgenii Terechkov <evg@altlinux.ru> 2.1.20-alt0.M24.1
- 2.1.20
- bogus dependencies to emacs-base and perl-base removed (nofiles)
- Buildreqs updated
- Permissions on %%doc now rigth
- some spec changes

* Thu Jan  5 2006 Terechkov Evgenii <evg@altlinux.ru> 2.1.18-alt0.M24.1
- 2.1.18
- cfengine-cfservd is now obsolete, package seems useless without cfservd

* Thu Nov 03 2005 Evgenii Terechkov <evg_krsk@inbox.ru> 2.1.17-alt0.M24.1
- Initial build for ALT
- vicf not in dist anymore, so noshell is obsolete
